# Package com.oracle.truffle.api.object

Interface Summary
BaseLocation
BooleanLocation
DoubleLocation
DynamicObject
DynamicObject.FlagsFunction
DynamicObjectFactory
IntLocation
LayoutFactory
LocationFactory
LongLocation
ObjectLocation
Shape.Pred<T>: Represents a predicate (boolean-valued function) of one argument.
ShapeVisitor<R>
TypedLocation

Class Summary
DebugCounter
HiddenKey
Layout
LayoutBuilder
Location: Property location.
ObjectType
Property: Property objects represent the mapping between low-level stores and high-level data.
Shape: Shape objects create a mapping of Property objects to Locations.
Shape.Allocator

Enum Summary
Layout.ImplicitCast
LocationModifier

Exception Summary
FinalLocationException
IncompatibleLocationException